Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003430Zandronum[All Projects] Bugpublic2018-05-21 01:342018-07-29 19:55
ReporterStrikerMan780 
Assigned ToLeonard 
PrioritynormalSeverityblockReproducibilitysometimes
Statusneeds testingResolutionopen 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.1-beta 
Target Version3.1Fixed in Version 
Summary0003430: [3.1 beta] Connection Interrupted after a few map changes
DescriptionIf you play for multiple maps, eventually everyone will be stuck with "Connection interrupted" at the start of a new map and cannot move, but can still chat. They either need to reconnect, or spectate and rejoin to regain control.
Additional InformationUsing build:https://zandronum.com/downloads/testing/3.1/ZandroDev3.1-180520-0650windows.zip [^]

Linux server, Windows client.
Attached Files

- Relationships

-  Notes
User avatar (0019256)
Torr Samaho (administrator)
2018-05-27 08:36

Does this always happen if you make enough map changes? How many map changes do you roughly need to reproduce this?
User avatar (0019257)
StrikerMan780 (reporter)
2018-05-27 08:45

Usually 3 or 4.
User avatar (0019259)
Torr Samaho (administrator)
2018-05-27 17:14

And does this only happen with a Linux server or also with a Windows one?
User avatar (0019260)
StrikerMan780 (reporter)
2018-05-27 19:52

I have only tested with Linux servers so far.
User avatar (0019261)
Torr Samaho (administrator)
2018-05-27 19:57

With Windows client and server, I can' reproduce this. At least not using the "nextmap" command on the server. Are map changes with "nextmap" on a Linux server sufficient to reproduce this for you or do you actually need to play through the maps?
User avatar (0019264)
StrikerMan780 (reporter)
2018-06-03 03:27
edited on: 2018-06-03 03:28

I was just playing through. Not sure if nextmap will cause it.

This was all with a Linux Server, and a Windows Client. I was hosting on TSPG at the time.

User avatar (0019274)
EnsaladaDeTomate (reporter)
2018-06-18 21:47

I experienced the same issue, thought in my case, i only needed one single map change to be stuck in "Connection interrupted". I was not able to move or do anything at all while ingame, but i could chat normally with other players and spy them aswell

Im using windows 7
User avatar (0019282)
Torr Samaho (administrator)
2018-06-24 17:50

I still haven't been able to reproduce this. Could anybody reproduce this so far without using the TSPG server?
User avatar (0019295)
Leonard (developer)
2018-07-29 18:38

PR.
User avatar (0019296)
Torr Samaho (administrator)
2018-07-29 19:26

Thanks! Merged.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: EnsaladaDeTomate
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-05-21 01:34 StrikerMan780 New Issue
2018-05-27 08:36 Torr Samaho Note Added: 0019256
2018-05-27 08:36 Torr Samaho Status new => feedback
2018-05-27 08:45 StrikerMan780 Note Added: 0019257
2018-05-27 08:45 StrikerMan780 Status feedback => new
2018-05-27 17:14 Torr Samaho Note Added: 0019259
2018-05-27 19:52 StrikerMan780 Note Added: 0019260
2018-05-27 19:57 Torr Samaho Note Added: 0019261
2018-06-03 03:27 StrikerMan780 Note Added: 0019264
2018-06-03 03:28 StrikerMan780 Note Edited: 0019264 View Revisions
2018-06-03 03:28 StrikerMan780 Note Edited: 0019264 View Revisions
2018-06-18 21:47 EnsaladaDeTomate Note Added: 0019274
2018-06-24 17:50 Torr Samaho Note Added: 0019282
2018-07-29 18:09 Leonard Assigned To => Leonard
2018-07-29 18:09 Leonard Priority urgent => normal
2018-07-29 18:09 Leonard Status new => assigned
2018-07-29 18:09 Leonard Product Version => 3.1-beta
2018-07-29 18:09 Leonard Target Version => 3.1
2018-07-29 18:38 Leonard Note Added: 0019295
2018-07-29 18:38 Leonard Status assigned => needs review
2018-07-29 19:26 Torr Samaho Note Added: 0019296
2018-07-29 19:55 Torr Samaho Status needs review => needs testing






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker